Summary: Selintra SARK/SAIL Asterisk install
%define name smeserver-asterisk
Name: %{name}
%define version 1.2.3
%define release 1
Version: %{version}
Release: %{release}
Copyright: GPL
Group: Networking/Daemons
Source: %{name}-%{version}.tar.gz
Packager: KoKo <admin@selintra.com>
Buildroot: /var/tmp/e-smith-buildroot
BuildArchitectures: i686
Requires: smeserver-support smeserver-asterisk-zappri
AutoReqProv: no

%description

Selintra packaging of Asterisk 1.2.3 for SME-Server 7.0 (CentOS 4.2) platforms.
Primarily built to be installed as part of an SME-Server SARK/SAIL platform.  

%prep
%setup
%build
%install
rm -rf $RPM_BUILD_ROOT
(cd root   ; find . -depth -print | cpio -dump $RPM_BUILD_ROOT)
rm -f %{name}-%{version}-filelist
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT > %{name}-%{version}-filelist
echo "%doc COPYING" >> %{name}-%{version}-filelist

%clean
rm -rf $RPM_BUILD_ROOT

%pre
%post
if [ ! -f /etc/rc.d/rc7.d/S93asterisk ]; then
	/bin/ln -s /etc/rc.d/init.d/e-smith-service /etc/rc.d/rc7.d/S93asterisk
fi 
/sbin/chkconfig --add asterisk

%preun

/etc/init.d/asterisk stop
/sbin/chkconfig --del asterisk
if [ -f /etc/rc.d/rc7.d/S93asterisk ]; then
	/bin/rm -rf /etc/rc.d/rc7.d/S93asterisk
fi

%postun

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)
